> For the complete documentation index, see [llms.txt](https://docs.cleartax.in/cleartax-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cleartax.in/cleartax-docs/e-invoicing-api/e-invoicing-api-reference/cleartax-e-invoicing-apis-xml-schema/e-waybills-apis/initiate-multi-vehicle-e-waybills.md).

# Initiate Multi-Vehicle E-Waybills

You can update Multi-Vehicle E-Waybills by sending a **`PUT`** request to E-Invoicing API with the following request headers.

### Request Method

PUT

### Request URL

```
{{HOST}}/einv/v1/ewaybill/multi-vehicle
```

### Request Headers

<table><thead><tr><th width="212.38483991363452">Parameter</th><th width="163.99628544055864">Field Validations</th><th width="150">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>X-Cleartax-Auth-Token</td><td>Header</td><td>String</td><td>Mandatory. The auth token generated from ClearTax user id and password. <a href="https://docs.cleartax.in/cleartax-for-developers/e-invoicing-api/e-invoicing-api-reference/authentication-token">Know how.</a></td></tr><tr><td>gstin</td><td>Header</td><td>String</td><td>Mandatory. GSTIN number for the user</td></tr></tbody></table>

### Request Path Params

There are no path parameters for this API.

### Request Query Params

There are no query parameters for this API.

### Request Body

<table><thead><tr><th width="206.99993896484375">Parameter</th><th width="177">Field Validations</th><th width="145.333251953125">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>EwbNumber</td><td>12 Characters</td><td>String</td><td>Conditional. E-Way bill number. </td></tr><tr><td>FromPlace</td><td>Max = 50 Characters</td><td>String</td><td>Mandatory. From place. </td></tr><tr><td>FromState</td><td>Max = 2 Characters</td><td>Number</td><td>Mandatory. From state code. </td></tr><tr><td>ToPlace</td><td>Max = 50 Characters</td><td>String</td><td>Mandatory. To place. </td></tr><tr><td>ReasonCode</td><td>"BREAKDOWN", "TRANSSHIPMENT", "OTHERS", "FIRST_TIME".</td><td>Enum</td><td>Mandatory,Reasons to update EWB</td></tr><tr><td>ReasonRemark</td><td>Max = 50 Characters</td><td>String</td><td>Optional. Reason Remark</td></tr><tr><td>ToState</td><td>Max = 2 Characters</td><td>Number</td><td>Mandatory. To state code. </td></tr><tr><td>TransMode</td><td><p>Enum: </p><p>ROAD</p><p>RAIL</p><p>AIR</p><p>SHIP</p><p><br></p></td><td>String</td><td>Mandatory. Mode of transport. </td></tr><tr><td><p>TotalQuantity</p><p><br></p></td><td>NA</td><td>Number</td><td>Mandatory. Total quantity of the goods. </td></tr><tr><td>UnitOfMeasurement</td><td>Refer to <a href="https://docs.cleartax.in/cleartax-docs/e-invoicing-api/e-invoicing-api-reference/resources-and-master/unit-master">masters</a>. </td><td>String</td><td>Mandatory. Unit of Measurement. </td></tr><tr><td><p>GroupNumber</p><p><br></p></td><td>NA</td><td>Number</td><td>Mandatory. Group number should always be 0 to initiate multivehicle EWB.</td></tr><tr><td>VehicleListDetails</td><td>NA</td><td>List</td><td>Details of Vehicle</td></tr></tbody></table>

#### Vehicle List Details Object

| Parameter      | Data Type | Field Validations | Description                          |
| -------------- | --------- | ----------------- | ------------------------------------ |
| VehicleNo      | String    | NA                | Mandatory. Vehicle Number.           |
| DocumentNumber | String    | NA                | Optional. Document Number.           |
| DocumentDate   | String    | NA                | Optional. Document  date.            |
| Quantity       | Number    | NA                | Mandatory. Quantity in each vehicle. |

### Response Status Codes

| HTTP Status Code | Description                                                                  |
| ---------------- | ---------------------------------------------------------------------------- |
| 200              | For a successfully processed request (may be a success or validation error). |
| 401              | If the user is not authenticated for the operation.                          |
| 403              | If the user is not authorized for the operation.                             |
| 500              | If there are any unhandled exceptions on the Clear side.                     |

### Response Schema

| Parameter   | Data Type | Field Validations | Description                                |
| ----------- | --------- | ----------------- | ------------------------------------------ |
| EwbNumber   | Number    | 12 Characters     | E-Way bill number.                         |
| GroupNumber | Number    | NA                | Group Number                               |
| UpdatedDate | String    | NA                | Date and time of update.                   |
| errors      | List      | NA                | Array of objects containing error details. |

#### Errors object details

| Parameter      | Data Type | Field Validations                          | Description                                                               |
| -------------- | --------- | ------------------------------------------ | ------------------------------------------------------------------------- |
| error\_code    | Number    | NA                                         | Error Code. If there is no error, then this field will not be present.    |
| error\_message | String    | NA                                         | Error message. If there is no error, then this field will not be present. |
| error\_source  | String    | <p>Enum: </p><p>CLEARTAX,</p><p>GOVT. </p> | Error Source. If there is no error, then this field will not be present.  |

### Sample Request and Response

#### Request&#x20;

```json
{
    "EwbNumber": 171009166265,
    "FromPlace": "Bangalore",
    "FromState": 29,
    "ToPlace": "Mumbai",
    "ToState": 33,
    "TransMode": "ROAD",
    "TotalQuantity": 100.345,
    "UnitOfMeasurement": "BAG",
    "GroupNumber": 0,
    "VehicleListDetails": [
      {
        "VehicleNo": "KA12AS1234",
        "DocumentNumber": "23DF34FG45",
        "DocumentDate": "12/12/2020",
        "Quantity": 100.345
      }
    ]
}
```

#### Response - Success:&#x20;

**HTTP Status Code - 200 OK**

```json
{
    "EwbNumber": 171009166265,
    "GroupNumber": 1,
    "UpdatedDate": "08/02/2021 12:03:00 PM",
    "errors": null
}
```

#### Response - Failure:&#x20;

**HTTP Status Code - 200 OK**

```json
{
    "EwbNumber": null,
    "GroupNumber": 0,
    "UpdatedDate": null,
    "errors": [
        {
            "error_code": "2000",
            "error_message": "Quantity in Group cannot exceed total quantity in E-Way Bill.",
            "error_source": "CLEARTAX"
        }
    ]
}
```

### API Validations

The total quantity should be greater than the sum of all the group quantities. &#x20;

### API Constraints

EWB should be present in the ClearTax database.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/e-invoicing-api/e-invoicing-api-reference/cleartax-e-invoicing-apis-xml-schema/e-waybills-apis/initiate-multi-vehicle-e-waybills.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
